<?php
/***************************************
  Taxonomy - Employee Category
****************************************/

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

if ( ! function_exists( 'tax_employee_category' ) ) {

    // Register Custom Taxonomy
    function tax_employee_category() {

        $labels = array(
            'name'                       => _x( 'Categories', 'Taxonomy General Name', 'ysp-business' ),
            'singular_name'              => _x( 'Category', 'Taxonomy Singular Name', 'ysp-business' ),
            'menu_name'                  => __( 'Categories', 'ysp-business' ),
        );
        $args = array(
            'labels'                     => $labels,
            'hierarchical'               => true,
            'public'                     => true,
            'show_ui'                    => true,
            'show_admin_column'          => true,
            'show_in_nav_menus'          => true,
            'show_tagcloud'              => true,
        );
        register_taxonomy( 'employee_category', array( 'employee' ), $args );

    }
    add_action( 'init', 'tax_employee_category', 0 );

}