<?php
/***************************************
  Taxonomy - Office Location
****************************************/

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

if ( ! function_exists( 'tax_office_location' ) ) {

    // Register Custom Taxonomy
    function tax_office_location() {

        $labels = array(
            'name'                       => _x( 'Locations', 'Taxonomy General Name', 'ysp-business' ),
            'singular_name'              => _x( 'Location', 'Taxonomy Singular Name', 'ysp-business' ),
            'menu_name'                  => __( 'Locations', 'ysp-business' ),
        );
        $args = array(
            'labels'                     => $labels,
            'hierarchical'               => false,
            'public'                     => true,
            'show_ui'                    => true,
            'show_admin_column'          => true,
            'show_in_nav_menus'          => true,
            'show_tagcloud'              => true,
        );
        register_taxonomy( 'office_location', array( 'office' ), $args );

    }
    add_action( 'init', 'tax_office_location', 0 );

}