<?php

/**
 * Fired during plugin activation
 *
 * @link       https://your-style.nl/
 * @since      1.0.0
 *
 * @package    Ysp_Business
 * @subpackage Ysp_Business/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Ysp_Business
 * @subpackage Ysp_Business/includes
 * @author     Yourstyle <info@your-style.nl>
 */
class Ysp_Business_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		flush_rewrite_rules();
	}

}
