<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://your-style.nl/
 * @since      1.0.0
 *
 * @package    Ysp_Business
 * @subpackage Ysp_Business/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Ysp_Business
 * @subpackage Ysp_Business/includes
 * @author     Yourstyle <info@your-style.nl>
 */
class Ysp_Business_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
		flush_rewrite_rules();
	}

}
